# class toMemoEditor | Displays an text in a widget which can optionally be modified and saved back. More...
Definition | `#include <tomemoeditor.h>`
Inherits | QDialog (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- toMemoEditor (QWidget *parent,const QString &data,int row=-1,int col=-1, bool sql=false,bool modal=false)
- QString text (void)

#### Public Slots

- void store (void)

#### Signals

- void changeData (int row,int col,const QString &data)

## Detailed Description

Displays an text in a widget which can optionally be modified and saved back.

toMemoEditor (QWidget *parent,const QString &data,int row=-1,int col=-1, bool sql=false,bool modal=false) | ### toMemoEditor

Create this editor. If row and col is specified, editing is posible.

Parameters:

parent | Parent widget.
data | Data of editor.
row | Optional location specifier, pass on in changeData call.
col | Optional location specifier, pass on in changeData call.
sql | Use SQL syntax highlighting of widget.
modal | Display in modal dialog

QString text (void) | ### text

Get editor text.

Returns: String of editor.

void changeData (int row,int col,const QString &data) | ### changeData

[signal]

Emitted when data is to be stored back to the creator

Parameters:

row | Pass on from creation.
col | Pass on from creation.
data | New data to save.

void store (void) | ### store

[slot]